#### Release 2.11.2
* Fixes date-related functionality in WPHelper

#### Release 2.11.1
* Updates Slipstream JS API to v.1.4.7
* Fixes the lists display issue in Featured Listing Widget
* Adds reCaptcha setting

#### Release 2.11.0
* Fixes some warnings and notices
* Integrates Redux into Membership
* Adds support for the Map Search logo height editing for standard Wordpress themes.
* Part of php sessions (markets) moved to wordpress transient (with compressing)

#### Release 2.10.0
* Updates Slipstream JS API to v.1.4.6
* Fixes browser auto-complete conflict with area lookup input field.
* Fixes environment configuration values.
* Updates Font Awesome to v.4.7.0
* Minor changes to modal dialog component.

#### Release 2.9.13
* Soft function deprecation for environment.

#### Release 2.9.12
* Implements environment functionality

#### Release 2.9.10
* Updates search query sanitization routine to avoid stripping spaces and plus signs from strings.
* Updates Slipstream JS API to v.1.4.4

#### Release 2.9.9
* Adds copyrights to the Mapbox maps.
* Fixes Timber cache enabler warning.
* Disables browser auto-completion for area lookup fields.

#### Release 2.9.8
* Fixes click through issue with bxSlider slides.
* Updates gulp configuration.
* Fixes post preview issue in Timber.

#### Release  2.9.7
* Fixes colorbox image preview within slider.
* Fixes string sanitization within auto-suggest input fields.

#### Release 2.9.6
* Improves XSS preventive measures.

#### Release 2.9.5
* Hotfix: Adds support for the location json field in tinymce shortcode factory (fixes New Construction shortcode).

#### Release 2.9.4
* Hotfix: fixes location lookup field for cases where school address is not defined.

#### Release 2.9.3
* Fixes image URL validation for cases where protocol is not provided and shorthand urls are used (i.e. //url.com - NNEREN market is using such urls).
* Increases offset for img lazy loading from 250 to 800px.
* Fixes can not read property 'lat' of undefined in map views when polygon/location is not provided.

#### Release 2.9.2
* Fixes area lookup bias conflict. Areas with only one type of city (postal/census) did not return any results with opposite bias.

#### Release 2.9.1
* Fixes issue where Quick Search Widgets does not submit if Location is not entered.

#### Release 2.9.0
* Adds support for school and school attendance area lookup.

#### Release 2.8.4
* Removes form submission event added in Gravity Forms 2.4 that aborts form submission if submit button is hidden.

#### Release 2.8.3
* Fixes inheritance issue with Plugin abstract class - changes static properties to public.
* Prevents Chrome from forcing autocomplete on selectize API lookup fields.
* Add image dimension to the head for listing details pages.

#### Release 2.8.2
* Bug Fix: Changes let to var for older browser / iOS support within RequireJS config

#### Release  2.8.1
* Bug Fix: hides info window content above the map.
* Bug Fix: renames Coordinates model to lower case filename.

#### Release 2.8.0
* Converts all mapping capabilities to MapBox with ability to use Google Maps with own Google API key.

#### Release 2.7.3
* Numerous minor improvements.

#### Release 2.7.2
* Fixes fatal error related to a missing class in Twig.

#### Release 2.7.1
* Adds Google Maps API Key admin option
* Falls back onto Embed API for data-init maps with HJI Map API Key
* Adds lazy loading for maps

#### Release 2.7.0
* Adds Plugin API for creating Membership Plugins
* Adds REST API support to Custom Post Types and Taxonomies via simplified interface.
* Updates CMB2 to version 2.3.0

#### Release 2.6.8
* Displays PHP version requirement notices in the Admin Dashboard for the future updates.

#### Release 2.6.7
* Adds call chaining support to the API Client
* Fixes scrolling/panning Google Maps
* Fixes environment variable in POI Widget
* Numerous W3C Compliance Fixes
* Misc minor fixes

#### Release 2.6.6
* Fixes minor area lookup issue where some counties were showing up only on consecutive lookup.

#### Release 2.6.5
* Updates Slipstream API to v20180104

#### Release 2.6.4
* Hotfix: lookup field script error when one of the parameters is passed with null value.

#### Release 2.6.3
* Adds support for listing images as Open Graph tags for better social media sharing

#### Release 2.6.2
* Improves area lookup component.
* Fixes some issues related to polygons plotted on the map.

#### Release 2.6.1
* Overhauls image centering via CSS. Adds object-fit polyfill for IE support.

#### Release 2.6.0
* Adds str.includes() polyfill for IE support.

#### Release 2.5.9
* Fixes issue with duplicate listing photos in the colorbox.

#### Release 2.5.8
* Updates Slipstream API to v20170418.
* Updates Slipstream JS API v1.4.1.
* Fixes admin notice positioning.
* Improves browser geolocation user response and error handling.
* Adds schools JS widgets.
* Numerous minor improvements and fixes.

#### Release 2.5.7
* Updates plugin updates checker to v.1.6.1

#### Release 2.5.6
* Improves image slider re-centering for Boulevard 4 themes.

#### Release 2.5.5
* Adds support for multiple market pointers in the area lookup script.

#### Release 2.5.4
* Fixes polygon lookup field race condition.

#### Release 2.5.3
* Hotfix: Includes SCSS source files.

#### Release 2.5.2
* Hotfix: PHP 5.3 incompatible syntax.

#### Release 2.5.1
* Fixes plugin updates via WP CLI.
* Updates Timber to v.1.1.6
* Adds support for customer referrer (FNF).
* Adds Slipstream JS widgets to JS components.
* Updates Slipstream v to 20160809.
* Adds support for SCRIPT_DEBUG.

#### Release 2.5.0
* PHP 7 Compatibility
* WP 4.6 Compatibility
* Updates National Reports API to v.1.0.7

#### Release 2.4.9
* Inserts HJI customer company name in emails where "From Name" header is not defined or defaults to WordPress.

#### Release 2.4.8
* Sets twig cache path via Timber's native filter hook timber/cache/location
* Removes domReady from a few requireJS modules.
* Includes isMobile into the main js file.
* Changes the way Slipstream JS loads via requireJS.
* Adds report printing support to the National Reports API.

#### Release 2.4.7
* Fixes Timber issue due to wrong folder name cases.

#### Release 2.4.6
* Fixes Twig template location issue.
* Updates Timber to v.1.1.0

#### Release 2.4.5
* Updates Slipstream JS API to v.1.3.3.
* Updates National Reports API to v.1.0.6.

#### Release 2.4.4
* Updates National Reports API to v.1.0.4.

#### Release 2.4.2
* Updates National Reports API to v.1.0.3.

#### Release 2.4.2
* Hotfix: fixes customer data synchronization issue.

#### Release 2.4.1
* Hotfix: PHP 5.3 incompatibility error

#### Release 2.4.0
* Adds support for National Reports API
* Adds interface for Membership customer information and personal graphics to be used in integrated CRMs.
* Improves entry validation for Address Lookup JS module.
* Adds support for email tracking in HJI hosted solutions.

#### Release 2.3.9
* WP 4.5 compatibility update.

#### Release 2.3.8
* Hotfix: fixes price range rendering in user registration notification email.

#### Release 2.3.7
* Hotfix: adds support for Townships in area lookup JS module.

#### Release 2.3.6
* Hotfix: rendering issues in some tinyMCE widgets.

#### Release 2.3.5
* Adds Google Address auto-complete component.
* Adds support for all modal options via data attributes.
* Adds support for open graph tags to property listings in rIDX and New Construction.
* Numerous minor improvements.
* WordPress 4.4 compatibility update.

#### Release 2.3.4
* Adds support for HJI Users Sign In module.
* Fixes issue where plugin dependencies weren't obeyed on the front-end side.

#### Release 2.3.3
* Fixes issue with mixed HTTP/HTTPS protocols within dynamically loaded scripts.
* Fixes dynamic merge tag parsing in Gravity Forms.

#### Release 2.3.2
* Improves the image flag css for listings
* Updates tab refresh to fire on every tab trigger instead of just the first.
* Updates common.css to include additional css for listing img flag spans

#### Release 2.3.1
* Infrastructure improvements for HJI-line of Membership plugins.

#### Release 2.2.1
* WP 4.2 compatibility update.
* Fixes plugin updates failures via ajax on Plugins dashboard in WP 4.2.
* Fixes minor php notices.

#### Release 2.2.0
* Added close button to the registration dialog, when registration is not required.
* Added internal event logging service.
* Added *hji_membership_activation* action hook, which executes during Membership activation.
* Implements dependency injection and auto-loading of classes.

#### Release 2.1.3
* Fixes: tokens issue for product updates.

#### Release 2.1.2
* Fixes: API area lookup was truncating leading zeros from zip codes.

#### Release 2.1.1
* Added: daily event to purge expired transients.
* Minor fixes and improvements.

#### Release 2.1.0
* Added support for Gravity Forms.

#### Release 2.0
* Switched to Slipstream API
* Added support for for multiple markets via a single license key
* Added Products Library for HJI plugins and themes.

#### Release 1.0
* Initial release.
