<?php

namespace hji\membership\extension\taxonomies;


class Taxonomy
{
    protected $name;
    protected $schema;


    public function __construct(string $name, array $schema = null)
    {
        $this->name = $name;
        $this->schema = $schema;
    }


    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }


    /**
     * @return array
     */
    public function getSchema(): array
    {
        return $this->schema ?? [];
    }


    public function showInRest()
    {
        return boolval($this->schema['show_in_rest'] ?? true);
    }
}