<?php
namespace hji\membership\models\data;


class Image
{
    protected $url;
    protected $src;
    protected $caption;


    public function __construct($imageAttributes)
    {
        foreach ((array)$imageAttributes as $att => $value)
        {
            if (!is_numeric($att))
            {
                $this->{$att} =  $value;
            }
        }

        // forward compatibility with Timber Image
        if (isset($this->url) && !isset($this->src))
        {
            $this->src = $this->url;
        }
    }


    public function __get($property)
    {
        if (isset($this->$property))
        {
            return $this->$property;
        }
    }


    public function __isset($property)
    {
        if (isset($this->$property))
        {
            return true;
        }

        return false;
    }
}