<?php
namespace hji\membership\services;


class Request
{
    protected $query;
    protected $post;
    protected $get;


    function __construct()
    {
        add_filter('parse_request', array($this, 'setQuery'));

        $this->post = $_POST;
        $this->get  = $_GET;
    }


    public function setQuery($query)
    {
        $this->query = $query;
    }


    function getQuery()
    {
        return $this->query;
    }


    function get($parameter)
    {
        if (is_object($this->query))
        {
            if (isset($this->query->$parameter))
            {
                return $this->query->$parameter;
            }
            else if (isset($this->query->query_vars[$parameter]))
            {
                return $this->query->query_vars[$parameter];
            }
        }

        if (isset($this->post[$parameter]))
        {
            return $this->post[$parameter];
        }
        else if (isset($this->get[$parameter]))
        {
            return $this->get[$parameter];
        }
    }



}