

hji.define(['require', 'jquery', 'colorbox'], function (require, $) {
  var cssUrl = require.toUrl('hji-membership/third-party/colorbox/colorbox.css');

  HJI.loadCss(cssUrl); // do not move it inside the init method - let it execute immediately

  var __colorbox = function __colorbox() {
    return {
      init: function init($el, settings) {
        // Merge options form data() properties
        var options = $.extend({
          fixed: true,
          rel: false,
          onOpen: function onOpen() {
            // add HJI Twitter Bootstrap class to colorbox content
            $('#colorbox').addClass('hjitb');
          }
        }, settings); // Set default dimensions

        if (!options.inline && !options.maxWidth && !options.maxHeight) {
          options.maxWidth = '90%';
          options.maxHeight = '90%';
        }

        var href = $el.attr('href'); // Delete init property since it's not a Colorbox property

        delete options.init; // Execute Colorbox

        if (options.rel) {
          var relSelector = '[rel="' + options.rel + '"]';
          $el.attr('rel', options.rel); // Check if photos are rendered in cloned slides of the bxSlider

          var slider = $('[data-init="slider"]');

          if (slider.find($el).length) {
            var bxSlider = slider.data('bxSlider');

            if (bxSlider && bxSlider.getSlideCount() > 0) {
              // Check if element is not a cloned item by bxSlider
              if (!$el.closest('.bx-clone').length) {
                $el.colorbox(options);
              }
            } else {
              slider.on('bxSliderLoaded', function () {
                // Check if element is not a cloned item by bxSlider
                if (!$el.closest('.bx-clone').length) {
                  $el.colorbox(options);
                }
              });
            }

            return false;
          }
        }

        $el.colorbox(options);
      }
    };
  };

  return __colorbox;
});