

hji.define(['jquery'], function ($) {
  /**
   * jQuery GET URL Parameter Value
   *
   * @url https://gist.github.com/varemenos/2531765
   *
   * @param key string - query parameter
   * @param url string - optional URL to extract parameter from. In not provided, uses current window.location
   *
   * @return string
   */
  var getUrlVar = function getUrlVar(key, url) {
    var url = url || window.location.search;
    var result = new RegExp(key + "=([^&]*)", "i").exec(url);
    return result && decodeURIComponent(result[1].replace(/\+/g, '%20')) || "";
  };

  $.getUrlVar = getUrlVar;
  return getUrlVar;
});