

hji.define(function () {
  var getUserLocation = function getUserLocation(success, error, options) {
    this.sendLocationRequest(success, error, options);
  };

  getUserLocation.prototype.sendLocationRequest = function (successCallback, errorCallback, options) {
    if (navigator.geolocation) {
      navigator.geolocation.getCurrentPosition(function (position) {
        if (typeof successCallback === 'function') {
          successCallback(position);
        }
      }, function (error) {
        if (typeof errorCallback === 'function') {
          errorCallback(error);
        }
      }, options);
    }

    return false;
  };

  return getUserLocation;
});