

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

hji.define(function () {
  // TODO: the interface should encapsulate all the events
  // this way, any other implementation can simply use the events,
  // otherwise, we have no clue which events are used
  // in the implementations.
  var MapInterface = /*#__PURE__*/function () {
    function MapInterface(options) {
      _classCallCheck(this, MapInterface);

      var self = this,
          style = {
        fillOpacity: 0.35,
        strokeOpacity: 1,
        strokeWidth: 2,
        fillColor: '#3aa6ff',
        strokeColor: '#3aa6ff'
      };

      var _opt = Object.assign({
        $map: null,
        map: null,
        center: null,
        models: [],
        zoom: null,
        shapes: [],
        style: null
      }, options);

      if (!_opt.style) _opt.style = style;
      _opt.style = self._remapStyle(_opt.style);
      Object.assign(self, _opt);
    }

    _createClass(MapInterface, [{
      key: "_remapStyle",
      value: function _remapStyle(a) {
        if (typeof this._styleMap !== 'function') return a;

        var d = {},
            mapping = this._styleMap();

        if (!mapping) return a;

        for (var i = 0; i < mapping.length; i++) {
          d[mapping[i][1]] = a[mapping[i][0]];
        }

        return d;
      }
    }, {
      key: "render",
      value: function render($map) {
        var $target = _typeof($map) === 'object' && $map.length ? $map : this.$map;
        return this._create($target);
      }
      /**
       * @param Coordinates coords
       * @param numeric radius
       */

    }, {
      key: "addCircle",
      value: function addCircle(coords, radius, markerOptions) {
        this._addCircle(coords, radius, markerOptions);
      }
    }, {
      key: "addMarker",
      value: function addMarker(coords, options) {
        this._addMarker(coords, options);
      }
    }, {
      key: "addPolygons",
      value: function addPolygons(polygons) {
        this._addPolygons(polygons);
      }
    }, {
      key: "resetShapes",
      value: function resetShapes() {
        this._removeAllShapes();
      }
    }, {
      key: "onRemoveShapeIntent",
      value: function onRemoveShapeIntent(callback) {
        if (typeof callback === 'function') this.$map.on('map.removeShapeIntent', function (e, data) {
          return callback(data);
        });
      }
    }, {
      key: "removeShape",
      value: function removeShape(shape) {
        var self = this,
            e = {
          shape: shape,
          remove: true
        },
            removed = {
          id: null,
          geoJSON: null,
          shape: shape
        },
            result;
        self.$map.trigger('map.removeShapeIntent', e);

        if (e.remove === true) {
          result = self._removeShape(shape);

          if (((result.feature || {}).properties || {}).id) {
            removed.id = result.feature.properties.id;
            removed.geoJSON = result.feature;
          }

          self.$map.trigger('polygon_removed', removed);
        }

        return result;
      }
    }, {
      key: "fitBounds",
      value: function fitBounds() {
        this._fitBounds();
      }
    }]);

    return MapInterface;
  }();

  return MapInterface;
});