

hji.define(['jquery', 'backbone', './bootstrapModal'], function ($, Backbone) {
  var options = {
    className: 'hjitb modal hji-modal backbone-modal',
    content: '',
    animate: true,
    showFooter: false,
    allowCancel: false
  };

  function create(settings) {
    _.extend(options, settings);

    return new Backbone.BootstrapModal(options);
  }

  var modals = {
    alert: function alert(settings) {
      var alert = create(settings).open();

      if (settings.autoclose) {
        setTimeout(function () {
          alert.close();
        }, 2000);
      }

      return alert;
    },
    progress: function progress(message) {
      var message = '<div class="alert alert-info">' + message + '</div>';
      var alert = create({
        content: message
      }).open();
      return alert;
    }
  };
  return modals;
});