

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

hji.define(['require', 'jquery'], function (require, $) {
  var tabsRefresh = {
    init: function init() {
      this.setEvents();
    },
    setEvents: function setEvents() {
      var that = this; // Targets the tab or accordion event to redraw maps on display

      $('.panel-collapse, a[data-toggle="tab"]').each(function () {
        $(this).on('shown.bs.collapse shown.bs.tab', function (e) {
          var target = $(e.target).attr("href");

          that._refreshGoogleMaps();

          that._refreshStreetView();

          that._refreshIframes(target);
        });
      });
    },
    _refreshGoogleMaps: function _refreshGoogleMaps() {
      var map = $('[data-type="mapCanvas"]'); // reloads standard google map

      if (map.length) {
        for (var i in map) {
          if (_typeof(map[i].gMap) == 'object') {
            map[i].gMap.refresh();
          }
        }
      }
    },
    _refreshStreetView: function _refreshStreetView() {
      // reloads google street view
      if ($('[data-init="streetview"]').length) {
        require(['jquery', 'hji-common/streetView'], function () {
          $('[data-init="streetview"]').streetView({
            wrapperSelector: '#street-view'
          });
        });
      }
    },
    _refreshIframes: function _refreshIframes(target) {
      // reloads iframes of the clicked tab.
      $(target).find('iframe').attr('src', function (i, val) {
        return val;
      });
    }
  };
  tabsRefresh.init();
});