

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

hji.define(function (require) {
  var $ = require('jquery');

  var template = "\n        <div class=\"schools-nearby\">\n            <div class=\"schools-tabs\">\n                <div class=\"assigned-schools-tabs schools-tab\">Assigned Schools</div>\n                <div class=\"elementary-schools-tabs schools-tab\">Elementary</div>\n                <div class=\"middle-schools-tabs schools-tab\">Middle</div>\n                <div class=\"high-schools-tabs schools-tab\">High</div>\n            </div>\n            <div class=\"schools-lists\"></div>\n        </div>";

  var SchoolsNearbyUI = /*#__PURE__*/function () {
    function SchoolsNearbyUI($el) {
      _classCallCheck(this, SchoolsNearbyUI);

      this.$el = $el;
      this.$template = $(template);
      this.$schools = this.$template.find('.schools-lists');
      this.$assignedTab = this.$template.find('.assigned-schools-tabs');
      this.$elementaryTab = this.$template.find('.elementary-schools-tabs');
      this.$middleTab = this.$template.find('.middle-schools-tabs');
      this.$highTab = this.$template.find('.high-schools-tabs');
      this.$assignedSchools = null;
    }

    _createClass(SchoolsNearbyUI, [{
      key: "setAssignedSchools",
      value: function setAssignedSchools(schoolsList) {
        if (!this.$assignedSchools) {
          this.$assignedSchools = $('<div class="assigned-schools-list"></div>');
          this.$schools.append(this.$assignedSchools);
        }

        var html = '';
        schoolsList.forEach(function (school) {
          html += "<div class=\"assigned-school\">".concat(school.name, "</div>");
        });
        this.$assignedSchools.html(html);
      }
    }, {
      key: "render",
      value: function render() {
        this.$el.html(this.$template);
      }
    }]);

    return SchoolsNearbyUI;
  }();

  return SchoolsNearbyUI;
});