

hji.define(['jquery'], function ($) {
  /**
   * Abstract Slipstream Widget Class
   *
   * @constructor
   */
  var Widget = function Widget() {
    this.moduleName = 'widget';
    this.$el = null;
    this.options = {};
  };

  Widget.prototype.init = function ($el, options) {
    this.$el = $el;
    this.$el[0][this.moduleName] = this;
    $.extend(this.options, options);
    this.render();
  };
  /**
   * Abstract Render Method
   */


  Widget.prototype.render = function () {
    console.error('widget.render() is not implemented.');
  };

  Widget.prototype.template = function () {
    var template = $('<div class="slipstream">').append($('<div class="slipstream-areas">'));
    if (this.options.chooser) template.find('.slipstream-areas').prepend('<div class="chooser-wrapper">');
    return template;
  };

  return Widget;
});