<?php
namespace hji\membership\extension\interfaces;

/**
 * Interface ExtensionInterface
 *
 * Other plugins have to use this interface to extend their components.
 *
 * @package hji\membership\extension\interfaces
 */

interface ExtensionInterface
{
    /**
     * Returns Membership Service Container for public access
     *
     * @return mixed
     */
    public function membershipServices();


    /**
     * Returns project's local service container
     *
     * @return mixed
     */
    public function services();
}