<?php

namespace hji\membership\services\registries;


use hji\membership\extension\postTypes\PostTypeManager;
use hji\membership\interfaces\Registrable;


class CustomPostTypeRegistry implements Registrable
{
    protected $postTypeManager;


    public function __construct(PostTypeManager $postTypeManager)
    {
        $this->postTypeManager = $postTypeManager;
    }


    public function register($postTypes)
    {
        $this->postTypeManager->addPostTypes((array)$postTypes);
        return $this;
    }
}
