<?php

namespace hji\membership\utils;

class Environment
{
    const DEV = 'dev';
    const PROD = 'prod';
    const STAGING = 'staging';

    /**
     * @param $env
     *
     * @return bool
     */
    public static function is($env)
    {
        if (!defined('HJI_WP_ENVIRONMENT')) {
            define('HJI_WP_ENVIRONMENT', 'prod');
        }

        return HJI_WP_ENVIRONMENT === $env;
    }

    /**
     * @return string
     */
    public static function environment()
    {
        if (!defined('HJI_WP_ENVIRONMENT') || (defined('HJI_WP_ENVIRONMENT') && HJI_WP_ENVIRONMENT === 'prod')) {

            return self::PROD;
        }

        if (HJI_WP_ENVIRONMENT === 'dev')
        {

            return self::DEV;
        }

        if (HJI_WP_ENVIRONMENT === 'staging') {

            return self::STAGING;
        }

        return self::PROD;
    }
}
