<?php

namespace hji\membership\utils;

class URL
{
    /**
     * @param $url
     *
     * @return false|int
     */
    public static function isValidURL($url)
    {
        $parsedUrl = parse_url($url);

        if (!is_array($parsedUrl) || !isset($parsedUrl['scheme'], $parsedUrl['host'])) {
            return false;
        }

        return $parsedUrl['scheme'] === 'http' || $parsedUrl['scheme'] === 'https';
    }
}
