

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

hji.define(['jquery', 'hji-common/selectize'], function ($) {
  $.fn.dataLookup = function () {
    return this.each(function () {
      var $this = $(this);
      var settings = {
        market: $this.data('market'),
        property: $this.data('lookup')
      };

      if (!settings.market || !settings.property) {
        return false;
      }

      var selectizeOptions = {
        plugins: ['remove_button'],
        delimiter: '|',
        load: function load(query, callback) {
          var sanitize = function sanitize(string) {
            var map = {
              '&': '&amp;',
              '<': '&lt;',
              '>': '&gt;',
              '"': '&quot;',
              "'": '&#x27;',
              "/": '&#x2F;'
            };
            var reg = /[&<>"'/]/ig;
            return string.replace(reg, function (match) {
              return map[match];
            });
          };

          query = sanitize(query);
          if (!query.length) return callback();
          $.post(HJI.ajaxUrl(), {
            action: 'hjiAjaxApiRequest',
            method: 'enumerate',
            params: {
              filter: query,
              property: settings.property,
              id: settings.market,
              matching: 'contains',
              limit: 100
            }
          }, function (result) {
            if (result.success == true) {
              var values = result.data[0].values;
              var list = [];

              for (i in values) {
                var item = {
                  text: values[i],
                  value: values[i]
                };
                list.push(item);
              } // Clearing results on each search.
              // This also clears previous selection,
              // which doesn't work for us.
              // We want to be able to make multiple searches
              // and select items from each search.
              // We need to clear previous selection options in
              // in dropdown list, but not the actual selections.
              //                                        $this[0].selectize.clearOptions();
              //                                        $this[0].selectize.refreshOptions();


              callback(list);
            } else {
              throw new Error(result.error.message);
            }
          }, "json");
        }
      };

      var setup = function setup($obj, options) {
        if ($obj.length > 0 && _typeof($obj) == 'object') {
          if ($obj[0].selectize) {
            $obj[0].selectize.destroy();
          }

          setTimeout(function () {
            $obj.selectize(options); // Dirty hack to stop Chrome from forcing auto-completions since autocomplete=off no longer works
            // $obj[0].selectize.$control_input.prop('autocomplete', 'leaveMeAlone');
          }, 100);
        }
      };

      return setup($this, selectizeOptions);
    });
  };
});