

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

hji.define(['jquery', 'hji-common/includes/eventManager'], function ($, EventManager) {
  var AddressLookupInterface = /*#__PURE__*/function () {
    function AddressLookupInterface(el, options) {
      _classCallCheck(this, AddressLookupInterface);

      this.el = el;
      this.options = options || {};
      this.events = {
        onSelect: 'select',
        onError: 'error'
      }; // Event Manager Options

      var emOptions = {
        target: el,
        namespace: 'addressLookup'
      };
      this.eventManager = new EventManager(emOptions);
      this.eventManager.registerEvents(this.events);
    }

    _createClass(AddressLookupInterface, [{
      key: "onSelect",
      value: function onSelect(callback) {
        this.eventManager.listen('select', callback);
      }
    }, {
      key: "onError",
      value: function onError(callback) {
        this.eventManager.listen('error', callback);
      }
    }, {
      key: "trigger",
      value: function trigger(event, data) {
        this.eventManager.trigger(event, data);
      }
    }, {
      key: "getValue",
      value: function getValue() {// abstract method
      }
    }, {
      key: "validateAddress",
      value: function validateAddress() {// abstract method
        // should call this.addressValid() or this.addressInvalid()
      }
    }, {
      key: "addressValid",
      value: function addressValid(address) {
        this.trigger('select', address);
      }
    }, {
      key: "addressInvalid",
      value: function addressInvalid(address) {
        var message = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
        this.trigger('error', 'Address is invalid. Please enter valid address.');
      }
    }]);

    return AddressLookupInterface;
  }();

  return AddressLookupInterface;
});