

hji.define(function () {
  var Cookie = {
    createCookie: function createCookie(name, value, days) {
      if (days) {
        var date = new Date();
        date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
        var expires = "; expires=" + date.toGMTString();
      } else {
        var expires = "";
      }

      document.cookie = decodeURI(name) + "=" + decodeURI(value) + expires + "; path=/";
    },
    readCookie: function readCookie(name) {
      var nameEQ = decodeURI(name) + "=";
      var ca = document.cookie.split(';');

      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];

        while (c.charAt(0) == ' ') {
          c = c.substring(1, c.length);
        }

        if (c.indexOf(nameEQ) == 0) return decodeURI(c.substring(nameEQ.length, c.length));
      }

      return null;
    },
    deleteCookie: function deleteCookie(name) {
      this.createCookie(name, "", -1);
    }
  };
  return Cookie;
});