

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

hji.define(function (require) {
  var _ = require('_');

  var Locations = /*#__PURE__*/function () {
    function Locations() {
      _classCallCheck(this, Locations);

      this.collection = [];
      this.deleted = [];
    }

    _createClass(Locations, [{
      key: "add",
      value: function add(obj) {
        var location = this.get(obj.id);

        if (!location) {
          location = new Location(obj);
          this.collection.push(location);
        }

        return location;
      }
    }, {
      key: "remove",
      value: function remove(id) {
        var index = _.findIndex(this.collection, function (location) {
          return location.id === id;
        });

        if (index > -1) {
          var location = this.collection[index];
          this.collection.splice(index, 1);
          if (!_.findWhere(this.deleted, {
            id: location.id
          })) this.deleted.push(location);
          return location;
        }

        return false;
      }
    }, {
      key: "get",
      value: function get(id) {
        return _.findWhere(this.collection, {
          id: id
        }) || null;
      }
    }, {
      key: "isDeleted",
      value: function isDeleted(id) {
        return _.findWhere(this.deleted, {
          id: id
        }) || false;
      }
    }, {
      key: "all",
      value: function all() {
        return this.collection;
      }
    }]);

    return Locations;
  }();

  var Location = function Location(obj) {
    var _this = this;

    _classCallCheck(this, Location);

    var supportedProps = ['id', 'name', 'type', 'school', 'll', 'r'];
    Object.keys(obj).map(function (key) {
      if (supportedProps.indexOf(key) !== -1 && obj[key] !== null) _this[key] = obj[key];
    });
  };

  return Locations;
});