

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

hji.define(function (require) {
  var MapInterface = require('../mapInterface'),
      gMap = require('hji-common/gMap'); // class GoogleMap extends MapInterface


  var GoogleMap = /*#__PURE__*/function (_MapInterface) {
    _inherits(GoogleMap, _MapInterface);

    function GoogleMap(options) {
      _classCallCheck(this, GoogleMap);

      return _possibleConstructorReturn(this, _getPrototypeOf(GoogleMap).call(this, options));
    }
    /**
     * @param Coordinates coords
     * @param numeric radius
     */


    _createClass(GoogleMap, [{
      key: "_addCircle",
      value: function _addCircle(coords, radius) {
        var circle = this.map.renderCircle({
          coords: coords.toShort(),
          radius: radius
        });
        this.map.map.fitBounds(circle.getBounds());
        return circle;
      }
    }, {
      key: "_addMarker",
      value: function _addMarker(coords, options) {
        this.map.plotMarkers([{
          lat: coords.latitude,
          lng: coords.longitude,
          icon: (options || {}).iconUrl || null,
          info: (options.info || {}).info || null
        }]);
      }
    }, {
      key: "_addPolygons",
      value: function _addPolygons(polygons) {
        var self = this,
            map = self.map.map;

        if (polygons.length) {
          self.map.renderPolygons(polygons);
        }
      }
    }, {
      key: "_removeAllShapes",
      value: function _removeAllShapes() {
        this.map.removeAllShapes();
      }
    }, {
      key: "_fitBounds",
      value: function _fitBounds() {
        this.map.map.fitBounds(this.map.bounds);
      }
    }, {
      key: "_create",
      value: function _create($map) {
        var self = this;
        var setup = {
          map: function map(resolve, reject) {
            if (self.map) {
              resolve({
                map: self.map
              });
            } else {
              self.map = new gMap({
                canvas: $map[0],
                geoData: self.models,
                style: self.style
              }, {
                center: self.center,
                zoom: self.zoom
              });
              self.$map = $map;
              self.map.ready(function () {
                resolve({
                  map: self.map.map
                });
              });
            }
          },
          controls: function controls(map) {}
        };
        return new Promise(function (resolve, reject) {
          var mapSetup = new Promise(function (resolve1, reject1) {
            return setup.map(resolve1, reject1);
          });
          return mapSetup.then(function (data) {
            setup.controls(data.map);
            return data;
          }).then(function (data) {
            return resolve(data);
          });
        });
      }
    }]);

    return GoogleMap;
  }(MapInterface);

  return GoogleMap;
});