

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

hji.define(function (require) {
  var $ = require('jquery'),
      Map = require('./mapbox-map'),
      Coordinates = require('hji-common/map/models/coordinates');

  var MapBoxWidget = function MapBoxWidget(widgetOptions, mapOptions, callback) {
    _classCallCheck(this, MapBoxWidget);

    this.widgetOptions = {
      $map: $(widgetOptions.canvas),
      models: widgetOptions.geoData.map(function (m) {
        return {
          coordinates: new Coordinates(m.lat, m.lng),
          info: m.info || null,
          icon: m.icon || null,
          id: m.lat
        };
      }),
      icon: widgetOptions.icon || null
    };
    this.mapOptions = mapOptions || {};
    var map = new Map(this.widgetOptions);
    map.render().then(function (data) {
      if (typeof callback === 'function') callback(data);
      return data;
    }).then(function (data) {// if (widgetOptions.geoData.length)
      //     map.addMarkers(widgetOptions.geoData)
    });
  };

  return MapBoxWidget;
});