

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

hji.define([], function () {
  var _one = false;

  var Visibility = /*#__PURE__*/function () {
    function Visibility(el) {
      _classCallCheck(this, Visibility);

      if (_typeof(el) !== "object") {
        HJI.logError("Providing element is not an object.", 'Visibility.constructor');
        return;
      }

      this.el = el;
      this.visible = this.isVisible();
      this.setListeners();
    }

    _createClass(Visibility, [{
      key: "setListeners",
      value: function setListeners() {
        var that = this; // DOM Ready

        document.addEventListener('DOMContentLoaded', function () {
          that.trigger(that.isVisible());
        }, false); // Deprecated: https://developer.mozilla.org/en-US/docs/Web/API/MutationObserver
        // document.body.addEventListener('DOMSubtreeModified', function () {
        //     that.trigger(that.isVisible());
        // }, false);

        var ticking = false;
        window.addEventListener('scroll', function (e) {
          if (!ticking) {
            window.requestAnimationFrame(function () {
              that.trigger(that.isVisible());
              ticking = false;
            });
            ticking = true;
          }
        });
      }
    }, {
      key: "one",
      value: function one(event, func) {
        var that = this;

        function handler(e) {
          _one = true;
          func.call(this, e);
          that.el.removeEventListener(event, handler);
        }

        if (!_one) {
          if (this.isVisible()) {
            func.call(this, event);
          } else {
            this.el.addEventListener(event, handler);
          }
        }
      }
    }, {
      key: "isVisible",
      value: function isVisible() {
        var _this$el$getBoundingC = this.el.getBoundingClientRect(),
            top = _this$el$getBoundingC.top,
            bottom = _this$el$getBoundingC.bottom;

        var vHeight = window.innerHeight || document.documentElement.clientHeight;
        return (top > 0 || bottom > 0) && top < vHeight;
      }
    }, {
      key: "trigger",
      value: function trigger(visible) {
        if (this.visible !== visible) {
          this.visible = visible;
          var event = visible ? new Event('visible') : new Event('invisible');
          this.el.dispatchEvent(event);
        }
      }
    }]);

    return Visibility;
  }();

  return Visibility;
});